Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZMessageDefinition Class Reference

## Public Member Functions
| eZMessageDefinition ( $id=-1)
| store ()
| delete ()
& | getMessageID ( $id=-1)
| get ( $id=-1)
& | getAll ()
& | messagesToUser ( $user)
| id ()
| setMessageID ( $value)
| MessageID ()
| setFromUserID ( $user)
| fromUserID ()
& | toUserID ()
| setToUserID ( $user)

## Public Attributes
| $ID
| $MessageID
| $FromUserID
| $ToUserID

## Detailed Description

Definition at line 7 of file ezmessagemessagedefinition.php.

## Member Function Documentation

## ◆ delete()

eZMessageDefinition::delete | ( |  | ) |

Deletes a eZMessageDefinition object from the database.

Definition at line 61 of file ezmessagemessagedefinition.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ eZMessageDefinition()

eZMessageDefinition::eZMessageDefinition | ( |  | $id = `-1` | ) |

Constructs a new eZMessageDefinition object.

Definition at line 12 of file ezmessagemessagedefinition.php.

References $id, and $ID.

Referenced by getAll(), getMessageID(), and messagesToUser().

## ◆ fromUserID()

eZMessageDefinition::fromUserID | ( |  | ) |

Returns the from user as an eZUser object.

Definition at line 210 of file ezmessagemessagedefinition.php.

## ◆ get()

eZMessageDefinition::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

True is retuned if successful, false (0) if not.

Definition at line 103 of file ezmessagemessagedefinition.php.

References $db, $id, $ret, eZDB\globalDatabase(), and MessageID().

## ◆ getAll()

& eZMessageDefinition::getAll | ( |  | ) |

Fetches the user id from the database. And returns a array of eZMessageDefinition objects.

Definition at line 131 of file ezmessagemessagedefinition.php.

References $db, $message, eZMessageDefinition(), and eZDB\globalDatabase().

## ◆ getMessageID()

& eZMessageDefinition::getMessageID | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

True is retuned if successful, false (0) if not.

Definition at line 81 of file ezmessagemessagedefinition.php.

References $db, $message, $query, eZMessageDefinition(), and eZDB\globalDatabase().

## ◆ id()

eZMessageDefinition::id | ( |  | ) |

Returns the object id.

Definition at line 175 of file ezmessagemessagedefinition.php.

References $ID.

## ◆ MessageID()

eZMessageDefinition::MessageID | ( |  | ) |

Returns the MessageID.

Definition at line 191 of file ezmessagemessagedefinition.php.

References $MessageID.

Referenced by get(), and setMessageID().

## ◆ messagesToUser()

& eZMessageDefinition::messagesToUser | ( |  | $user | ) |

Fetches the messages for a user.

Definition at line 152 of file ezmessagemessagedefinition.php.

References $db, $message, $user, $userID, eZMessageDefinition(), and eZDB\globalDatabase().

## ◆ setFromUserID()

eZMessageDefinition::setFromUserID | ( |  | $user | ) |

Sets the use which the message is from.

Definition at line 199 of file ezmessagemessagedefinition.php.

References $user.

## ◆ setMessageID()

eZMessageDefinition::setMessageID | ( |  | $value | ) |

Sets the MessageID.

Definition at line 183 of file ezmessagemessagedefinition.php.

References MessageID().

## ◆ setToUserID()

eZMessageDefinition::setToUserID | ( |  | $user | ) |

Sets the use which the message is to.

Definition at line 228 of file ezmessagemessagedefinition.php.

References $user.

## ◆ store()

eZMessageDefinition::store | ( |  | ) |

Stores or updates a eZMessageDefinition object in the database.

Definition at line 24 of file ezmessagemessagedefinition.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ toUserID()

& eZMessageDefinition::toUserID | ( |  | ) |

Returns the to user as an eZUser object.

Definition at line 219 of file ezmessagemessagedefinition.php.

References $ret.

## Member Data Documentation

## ◆ $FromUserID

eZMessageDefinition::$FromUserID

Definition at line 238 of file ezmessagemessagedefinition.php.

## ◆ $ID

eZMessageDefinition::$ID

Definition at line 236 of file ezmessagemessagedefinition.php.

Referenced by eZMessageDefinition(), and id().

## ◆ $MessageID

eZMessageDefinition::$MessageID

Definition at line 237 of file ezmessagemessagedefinition.php.

Referenced by MessageID().

## ◆ $ToUserID

eZMessageDefinition::$ToUserID

Definition at line 239 of file ezmessagemessagedefinition.php.

The documentation for this class was generated from the following file:

- ezmessagemessagedefinition.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.